Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 137)
@@ -2235,243 +1360,67 @@
 
 
 
-	@Override
-	public void updateChartCAFactorialMapSetRowsVisible(Object chart, CA ca, boolean visible)	{
-		super.updateChartCAFactorialMapSetRowsVisible(chart, ca, visible);
 
-		((JFreeChart) chart).getXYPlot().getRenderer().setSeriesVisible(0, visible);
-
-		// Update the limits border
-		JFCChartsEngine.createCAFactorialMapChartLimitsBorder((JFreeChart) chart);
-
-	}
-
-
-	@Override
-	public void updateChartCAFactorialMapSetColumnsVisible(Object chart, CA ca, boolean visible)	{
-		super.updateChartCAFactorialMapSetColumnsVisible(chart, ca, visible);
-
-		((JFreeChart) chart).getXYPlot().getRenderer().setSeriesVisible(1, visible);
-
-		// Update the limits border
-		JFCChartsEngine.createCAFactorialMapChartLimitsBorder((JFreeChart) chart);
-
-	}
-
-
-
-	@Override
-	public void updateChartCAFactorialMapSetDimensions(Object chart, CA ca, int dimension1, int dimension2)	{
-		 super.updateChartCAFactorialMapSetDimensions(chart, ca, dimension1, dimension2);
-
-		 // Modify data set
-		 ((FCAXYDataset) ((JFreeChart) chart).getXYPlot().getDataset()).setAxis1(dimension1);
-		 ((FCAXYDataset) ((JFreeChart) chart).getXYPlot().getDataset()).setAxis2(dimension2);
-
-		 // Update axis labels
-		 // FIXME : create a method in CA to directly get a singular value as percent ?
-		 try {
-			 double sinuglarValuesSum = ca.getValeursPropresSum();
-			 DecimalFormat f = new DecimalFormat("###.00"); //$NON-NLS-1$
-			 ((JFreeChart) chart).getXYPlot().getDomainAxis().setLabel(ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension1 + " (" + f.format(100 * ca.getValeursPropres()[dimension1 - 1] / sinuglarValuesSum) + "%)");
-			 ((JFreeChart) chart).getXYPlot().getRangeAxis().setLabel(ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension2 + " (" + f.format(100 * ca.getValeursPropres()[dimension2 - 1] / sinuglarValuesSum) + "%)");
-
-			 // Refresh data set
-			 // FIXME : any way to fire a data set event rather than reassign the same data set ?
-			 ((JFreeChart) chart).getXYPlot().setDataset(((JFreeChart) chart).getXYPlot().getDataset());
-			// the code below doesn't neither center the view nor update the axes ticks of the new chart, continue tests
-			//((JFreeChart) chart).setNotify(true);
-
-
-			// Update the limits border
-			JFCChartsEngine.createCAFactorialMapChartLimitsBorder((JFreeChart) chart);
-
-		}
-		catch(StatException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-	 }
-
-
-	@Override
-	public void updateChartCAFactorialMapHighlightPoints(Object chart, boolean rows, String[] labels) {
-
-		MultipleItemsSelector selector = (MultipleItemsSelector) ((FCAItemSelectionRenderer)((JFreeChart) chart).getXYPlot().getRenderer()).getItemsSelector();
-
-		// Rows
-		int series = 0;
-		// Columns
-		if(!rows)	{
-			series = 1;
-		}
-		selector.removeAllSelectedItems(series);
-		int[] items = ((FCAXYDataset)((JFreeChart) chart).getXYPlot().getDataset()).getLabelIndices(series, labels);
-
-		for(int i = 0; i < items.length; i++) {
-			selector.addSelectedItem(series, items[i]);
-		}
-
-		((JFreeChart) chart).setNotify(true);
-	}
-
-
-	@Override
-	public ArrayList<String> getCAFactorialMapChartSelectedRowPoints(Object chart) {
-		return this.getCAFactorialMapChartSelectedPoints(chart, 0);
-	}
-
-	@Override
-	public ArrayList<String> getCAFactorialMapChartSelectedColumnPoints(Object chart) {
-		return this.getCAFactorialMapChartSelectedPoints(chart, 1);
-	}
-
-	/**
-	 * Gets the currently selected item in the specified series in the chart.
-	 * @param chart
-	 * @param series
-	 * @return
-	 */
-	public ArrayList<String> getCAFactorialMapChartSelectedPoints(Object chart, int series) {
-
-		MultipleItemsSelector selector = (MultipleItemsSelector) ((FCAItemSelectionRenderer)((JFreeChart) chart).getXYPlot().getRenderer()).getItemsSelector();
-		ArrayList<String> pointLabels = new ArrayList<String>(selector.getSelectedItemsCount(series));
-
-		if(selector.getSelectedItemsCount(series) > 0)	{
-
-			FCAXYDataset dataset = (FCAXYDataset) ((JFreeChart) chart).getXYPlot().getDataset();
-			int[] selectedItems = selector.getSelectedItems(series);
-
-			for(int i = 0; i < selectedItems.length; i++) {
-				pointLabels.add(dataset.getLabel(series, selectedItems[i]));
-			}
-		}
-		return pointLabels;
-	}
-
-
-	@Override
-	public ArrayList<Integer> getProgressionChartSelectedPointPositions(Object chart) {
-
-		MultipleItemsSelector selector = (MultipleItemsSelector) ((IItemSelectionRenderer)((JFreeChart) chart).getXYPlot().getRenderer()).getItemsSelector();
-		ArrayList<Integer> pointPositionsInCorpora = new ArrayList<Integer>();
-
-
-		// FIXME: returns all the point positions
-		XYDataset dataset = ((JFreeChart) chart).getXYPlot().getDataset();
-		for(int i = 0; i < selector.getSelectedSeries().length; i++) {
-			int selectedSeries = selector.getSelectedSeries()[i];
-			int[] selectedItemsInSeries = selector.getSelectedItems(selectedSeries) ;
-			for(int j = 0; j < selectedItemsInSeries.length; j++) {
-				// if it's the dummy last chart point, get the previous point position instead of ther last one
-				if(selectedItemsInSeries[j] == dataset.getItemCount(selectedSeries) - 1)	{
-					pointPositionsInCorpora.add((int) (dataset.getXValue(selectedSeries, selectedItemsInSeries[j] - 1)));
-				}
-				else	{
-					pointPositionsInCorpora.add((int) (dataset.getXValue(selectedSeries, selectedItemsInSeries[j])));
-				}
-			}
-			
-		}
-
-		// put the last selected point at the end of the list
-		if(selector.getLastSelectedSeries() != -1 && selector.getLastSelectedItem() != -1)	{
-			int item = selector.getLastSelectedItem();
-			// if it's the dummy last chart point, get the previous point position instead of ther last one
-			if(item == dataset.getItemCount(selector.getLastSelectedSeries()) - 1)	{
-				item--;
-			}
-			
-			Integer lastSelectedPointPosition = (int) (dataset.getXValue(selector.getLastSelectedSeries(), item));
-			pointPositionsInCorpora.remove(lastSelectedPointPosition);
-			pointPositionsInCorpora.add(lastSelectedPointPosition);
-		}
-		
-		
-		// FIXME: old version which returns only 1 point position
-//		if(selector.getMultipleSelectedSeries().length > 0)	{
-//			int selectedSeries = selector.getMultipleSelectedSeries()[0];
-//			if(selector.getMouseOverItemInSeries(selectedSeries) != -1)	{
-//				XYDataset dataset = ((JFreeChart) chart).getXYPlot().getDataset();
-//				// if it's the dummy last chart point, get the previous point position instead of ther last one
-//				if(selector.getMouseOverItemInSeries(selectedSeries) == dataset.getItemCount(selector.getMultipleSelectedSeries()[0]) - 1)	{
-//					pointPositionsInCorpora.add((int) (dataset.getXValue(selector.getMultipleSelectedSeries()[0], selector.getMouseOverItemInSeries(selectedSeries) - 1)));
-//				}
-//				else	{
-//					pointPositionsInCorpora.add((int) (dataset.getXValue(selector.getMultipleSelectedSeries()[0], selector.getMouseOverItemInSeries(selectedSeries))));
-//				}
-//				
-//			}
+//
+//
+//	@Override
+//	public void updateChartCAFactorialMapSetDimensions(Object chart, CA ca, int dimension1, int dimension2)	{
+//		 super.updateChartCAFactorialMapSetDimensions(chart, ca, dimension1, dimension2);
+//
+//		 // Modify data set
+//		 ((FCAXYDataset) ((JFreeChart) chart).getXYPlot().getDataset()).setAxis1(dimension1);
+//		 ((FCAXYDataset) ((JFreeChart) chart).getXYPlot().getDataset()).setAxis2(dimension2);
+//
+//		 // Update axis labels
+//		 // FIXME : create a method in CA to directly get a singular value as percent ?
+//		 try {
+//			 double sinuglarValuesSum = ca.getValeursPropresSum();
+//			 DecimalFormat f = new DecimalFormat("###.00"); //$NON-NLS-1$
+//			 ((JFreeChart) chart).getXYPlot().getDomainAxis().setLabel(ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension1 + " (" + f.format(100 * ca.getValeursPropres()[dimension1 - 1] / sinuglarValuesSum) + "%)");
+//			 ((JFreeChart) chart).getXYPlot().getRangeAxis().setLabel(ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension2 + " (" + f.format(100 * ca.getValeursPropres()[dimension2 - 1] / sinuglarValuesSum) + "%)");
+//
+//			 // Refresh data set
+//			 // FIXME : any way to fire a data set event rather than reassign the same data set ?
+//			 ((JFreeChart) chart).getXYPlot().setDataset(((JFreeChart) chart).getXYPlot().getDataset());
+//			// the code below doesn't neither center the view nor update the axes ticks of the new chart, continue tests
+//			//((JFreeChart) chart).setNotify(true);
+//
+//
+//			// Update the limits border
+//			JFCChartsEngine.createCAFactorialMapChartLimitsBorder((JFreeChart) chart);
+//
 //		}
-		
-		return pointPositionsInCorpora;
-	}
+//		catch(StatException e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+//	 }
+//
+//
+//	@Override
+//	public void updateChartCAFactorialMapHighlightPoints(Object chart, boolean rows, String[] labels) {
+//
+//		MultipleItemsSelector selector = (MultipleItemsSelector) ((FCAItemSelectionRenderer)((JFreeChart) chart).getXYPlot().getRenderer()).getItemsSelector();
+//
+//		// Rows
+//		int series = 0;
+//		// Columns
+//		if(!rows)	{
+//			series = 1;
+//		}
+//		selector.removeAllSelectedItems(series);
+//		int[] items = ((FCAXYDataset)((JFreeChart) chart).getXYPlot().getDataset()).getLabelIndices(series, labels);
+//
+//		for(int i = 0; i < items.length; i++) {
+//			selector.addSelectedItem(series, items[i]);
+//		}
+//
+//		((JFreeChart) chart).setNotify(true);
+//	}
+//
 
-	@Override
-	public ArrayList<Integer> getProgressionChartSelectedPointNumbers(Object chart) {
 
-		MultipleItemsSelector selector = (MultipleItemsSelector) ((IItemSelectionRenderer)((JFreeChart) chart).getXYPlot().getRenderer()).getItemsSelector();
-		ArrayList<Integer> pointNumbers = new ArrayList<Integer>();
-		XYDataset dataset = ((JFreeChart) chart).getXYPlot().getDataset();
-		
-		for(int i = 0; i < selector.getSelectedSeriesCount(); i++) {
-			int series = selector.getSelectedSeries()[i];
-			int[] items = selector.getSelectedItems(series);
-			int lastDummyItem = dataset.getItemCount(series) - 1; 
-			for(int j = 0; j < items.length; j++) {
-				int item = items[j];
-				// manage the first dummy point
-				if(item == 0)	{
-					item++;
-				}
-				// manage the last dummy point
-				else if(item == lastDummyItem)	 {
-					item--;
-				}
-				
-				pointNumbers.add(item);
-			}
-		}
-		
-		return pointNumbers;
-	}
-	
 
-	
-	@Override
-	public ArrayList<Integer> getProgressionChartAllPointPositions(Object chart) {
-
-		ArrayList<Integer> pointPositionsInCorpora = new ArrayList<Integer>();
-		XYDataset dataset = ((JFreeChart) chart).getXYPlot().getDataset();
-		
-		for(int i = 0; i < dataset.getSeriesCount(); i++) {
-			for(int j = 0; j < dataset.getItemCount(i) - 1; j++) { // -1 to skip the last dummy point of the step chart
-				pointPositionsInCorpora.add((int) dataset.getXValue(i, j));
-			}
-		}
-		
-		return pointPositionsInCorpora;
-	}
-	
-	@Override
-	public ArrayList<Integer> getProgressionChartSelectedSeries(Object chart) {
-		ArrayList<Integer> selectedSeries = new ArrayList<Integer>();
-		MultipleItemsSelector selector = (MultipleItemsSelector) ((IItemSelectionRenderer)((JFreeChart) chart).getXYPlot().getRenderer()).getItemsSelector();
-		Integer[] multipleSelectedSeries = selector.getSelectedSeries();
-		for(int i = 0; i < multipleSelectedSeries.length; i++) {
-			selectedSeries.add(multipleSelectedSeries[i]);
-		}
-		return selectedSeries;
-	}
-
-
-	@Override
-	public int getProgressionChartLastSelectedSeries(Object chart) {
-		return ((MultipleItemsSelector) ((IItemSelectionRenderer)((JFreeChart) chart).getXYPlot().getRenderer()).getItemsSelector()).getLastSelectedSeries();
-	}
-
-	
-
 	/**
 	 * Defines the theme to use for rendering charts.
 	 * @param theme the theme to set
@@ -2840,14 +1789,6 @@
 //	}
 	
 	
-	@Override
-	public void updateChartCAFactorialMapSetLabelItemsSelectionOrder(Object chart, String[] rowLabels, String[] colLabels) {
-		
-		MultipleItemsSelector selector = (MultipleItemsSelector) ((FCAItemSelectionRenderer)((JFreeChart) chart).getXYPlot().getRenderer()).getItemsSelector();
-		selector.setCyclicItemsOrder(selector.getItemsAndSeriesOrderedByLabels((FCAXYDataset)((JFreeChart) chart).getXYPlot().getDataset(), rowLabels, colLabels)); 
-	}
 
-
-
 	
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java	(revision 137)
@@ -1,6 +1,8 @@
 package org.txm.chartsengine.jfreechart.core;
 
+import java.awt.Color;
 import java.io.File;
+import java.util.ArrayList;
 
 import org.jfree.chart.JFreeChart;
 import org.txm.chartsengine.core.ChartCreator;
@@ -53,7 +55,31 @@
 		
 	}
 	
+	
 	@Override
+	public ArrayList<Color> getSeriesShapesColors(Object chart) {
+		ArrayList<Color> colors = new ArrayList<Color>();
+		JFreeChart c = (JFreeChart) chart;
+
+		// XY plot
+		if(c.getXYPlot() != null)	{
+			for(int i = 0; i < c.getXYPlot().getSeriesCount(); i++) {
+				colors.add((Color) c.getXYPlot().getRenderer().getSeriesPaint(i));
+			}
+		}
+		// category plot
+		else if(c.getCategoryPlot() != null)	{
+			for(int i = 0; i < c.getCategoryPlot().getCategories().size(); i++) {
+				colors.add((Color) c.getCategoryPlot().getRenderer().getSeriesPaint(i));
+			}
+		}
+		return colors;
+	}
+
+
+
+	
+	@Override
 	public Class getChartsEngineClass() {
 		return JFCChartsEngine.class;
 	}
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 137)
@@ -8,10 +8,10 @@
 import org.jfree.chart.renderer.category.BarRenderer;
 import org.jfree.data.category.CategoryDataset;
 import org.jfree.data.category.DefaultCategoryDataset;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 
 /**
  * Renderer providing item selection system and drawing features for selected item and custom rendering for bar charts.
@@ -149,7 +149,7 @@
 				Number value = catDataset.getValue(row, column);
 
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + "</span>"
-				 + ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
+				 + ChartsEngineCoreMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
 			}
 		});
 	}
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 137)
@@ -8,11 +8,11 @@
 import org.jfree.chart.labels.XYToolTipGenerator;
 import org.jfree.chart.renderer.xy.ClusteredXYBarRenderer;
 import org.jfree.data.xy.XYDataset;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 
 /**
  * Renderer providing item selection system and drawing features for selected item and custom rendering for bar charts.
@@ -88,7 +88,7 @@
 				}
 
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + label + "</p><p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span>"
-				 + ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
+				 + ChartsEngineCoreMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
 			}
 		});
 	}
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 137)
@@ -18,10 +18,10 @@
 import org.jfree.chart.renderer.category.LineAndShapeRenderer;
 import org.jfree.data.category.CategoryDataset;
 import org.jfree.data.category.DefaultCategoryDataset;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 
 /**
  * Renderer providing item selection system and drawing features for selected item and custom rendering for category charts.
@@ -86,7 +86,7 @@
 
 				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row)
-						+ ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " </span><b>" + catDataset.getValue(row, column) + "</b></p></body><html>";
+						+ ChartsEngineCoreMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " </span><b>" + catDataset.getValue(row, column) + "</b></p></body><html>";
 			}
 		});
 	}
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 137)
@@ -31,10 +31,10 @@
 import org.jfree.ui.GradientPaintTransformer;
 import org.jfree.ui.LengthAdjustmentType;
 import org.jfree.ui.RectangleAnchor;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 
 public class ItemSelectionCategoryStepRenderer extends CategoryStepRenderer implements IItemSelectionRenderer {
 
@@ -94,7 +94,7 @@
 				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
 				Number value = catDataset.getValue(row, column);
 
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + ChartsEngineCoreMessages.ChartsEngine_LABEL_VALUE_SEPARATORS
 						+ " </span><b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
 			}
 		});
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java	(revision 137)
@@ -30,11 +30,11 @@
 import org.jfree.ui.GradientPaintTransformer;
 import org.jfree.ui.LengthAdjustmentType;
 import org.jfree.ui.RectangleAnchor;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.XYCardinalSplineRenderer;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 
 /**
  * Renderer providing item selection system and drawing features for selected item and custom rendering for XY charts with cardinal splines drawing support.
@@ -109,7 +109,7 @@
 
 				XYSeriesCollection xyDataset = (XYSeriesCollection) dataset;
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span></p><p><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item))
-						 + ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " </b><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b></p></body><html>";
+						 + ChartsEngineCoreMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " </b><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b></p></body><html>";
 			}
 		});
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java	(revision 137)
@@ -30,10 +30,10 @@
 import org.jfree.ui.GradientPaintTransformer;
 import org.jfree.ui.LengthAdjustmentType;
 import org.jfree.ui.RectangleAnchor;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 
 /**
  * Renderer providing item selection system and drawing features for selected item and custom rendering for XY charts with splines drawing support.
@@ -116,7 +116,7 @@
 
 				XYSeriesCollection xyDataset = (XYSeriesCollection) dataset;
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span></p><p><b>" + xyDataset.getSeries(series).getY(item)
-						 + ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " </b><b>" + xyDataset.getSeries(series).getX(item) + "</b></p></body><html>";
+						 + ChartsEngineCoreMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " </b><b>" + xyDataset.getSeries(series).getX(item) + "</b></p></body><html>";
 			}
 		});
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 137)
@@ -21,11 +21,11 @@
 import org.jfree.chart.renderer.xy.XYLineAndShapeRenderer;
 import org.jfree.data.xy.XYDataset;
 import org.jfree.data.xy.XYSeriesCollection;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 
 /**
  * Renderer providing item selection system and drawing features for selected item and custom rendering for XY charts.
@@ -111,7 +111,7 @@
 
 
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + label + "</span></p><p>" + xyDataset.getSeriesKey(series)
-						 + ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " <b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + "</b></p></body><html>";
+						 + ChartsEngineCoreMessages.ChartsEngine_LABEL_VALUE_SEPARATORS + " <b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + "</b></p></body><html>";
 			}
 		});
 	}
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 137)
@@ -35,11 +35,11 @@
 import org.jfree.ui.LengthAdjustmentType;
 import org.jfree.ui.RectangleAnchor;
 import org.jfree.ui.RectangleEdge;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 
 public class ItemSelectionXYStepRenderer extends XYStepRenderer implements IItemSelectionRenderer {
 
@@ -122,7 +122,7 @@
 				XYSeriesCollection xyDataset = (XYSeriesCollection) dataset;
 
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series)
-						+ "</span></p><p><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS
+						+ "</span></p><p><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + ChartsEngineCoreMessages.ChartsEngine_LABEL_VALUE_SEPARATORS
 						+ " </b><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b></p></body><html>";
 			}
 		});
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 137)
@@ -42,14 +42,14 @@
 import org.jfree.ui.RectangleInsets;
 import org.jfree.ui.TextAnchor;
 import org.jfree.util.ShapeUtilities;
+import org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers.CASingularValuesItemSelectionRenderer;
+import org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers.FCAItemSelectionRenderer;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.jfreechart.core.renderers.XYCardinalSplineRenderer;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.base.BlockRoundBorder;
 import org.txm.chartsengine.jfreechart.core.themes.base.CategoryAxisBetweenTicks;
 import org.txm.chartsengine.jfreechart.core.themes.base.Theme;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.CASingularValuesItemSelectionRenderer;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.FCAItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionCategoryBarRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionCategoryLineAndShapeRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionCategoryStepRenderer;
